Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Create an action

Prev Next
Post
/data/actionStatuses

Create an active or historical action, i.e. a service or maintenance activity related to a thing.
Set the required historical parameter to false to create an upcoming action, i.e. an activity that still has to be carried out, or to true to register an activity that has already been completed.
The payload identifies the action-definition the action is based on and the customer, location and thing it refers to.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Query parameters
historical
booleanRequired

If true, the action is created as historical, else as upcoming.

Body parameters

The action status.

Responses
204

Action created.

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error